net.dontdrinkandroot.wicket.model.progress

## Class ProgressMonitorPercentModel

- java.lang.Object
- - net.dontdrinkandroot.wicket.model.AbstractChainedModel<net.dontdrinkandroot.utils.oldprogressmonitor.ProgressMonitor,Integer>
  - - net.dontdrinkandroot.wicket.model.progress.ProgressMonitorPercentModel

All Implemented Interfaces:
  Serializable, org.apache.wicket.model.IDetachable, org.apache.wicket.model.IModel<Integer>, org.apache.wicket.util.io.IClusterable

    public class ProgressMonitorPercentModel
    extends net.dontdrinkandroot.wicket.model.AbstractChainedModel<net.dontdrinkandroot.utils.oldprogressmonitor.ProgressMonitor,Integer>

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`ProgressMonitorPercentModel(org.apache.wicket.model.IModel<? extends net.dontdrinkandroot.utils.oldprogressmonitor.ProgressMonitor> parent)`

### Method Summary

Methods
`Integer` `getObject()`

### Methods inherited from class net.dontdrinkandroot.wicket.model.AbstractChainedModel

`detach, getParent, getParentObject, setObject`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ProgressMonitorPercentModel

    public ProgressMonitorPercentModel(org.apache.wicket.model.IModel<? extends net.dontdrinkandroot.utils.oldprogressmonitor.ProgressMonitor> parent)

### Method Detail

#### getObject

    public Integer getObject()